﻿using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MemDataTable_CS
{
    class MyCreationFilter : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is BandHeadersUIElement)
            {
                for (int i = parent.ChildElements.Count - 1; i >=0; i--)                
                {
                    var childElement = parent.ChildElements[i];
                    var headerUIElement = childElement as HeaderUIElement;
                    if (null != headerUIElement && 
                        false == (headerUIElement is MyHeaderUIElement))
                    {
                        MyHeaderUIElement myHeaderUIElement = new MyHeaderUIElement(parent, headerUIElement.Header);
                        myHeaderUIElement.Rect = headerUIElement.Rect;

                        parent.ChildElements.RemoveAt(i);
                        parent.ChildElements.Insert(i, myHeaderUIElement);
                    }
                }
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
